package com.chenyang.nse.bussiness.bean;

import java.util.ArrayList;
import java.util.List;

public class Schema {
   private String name;
   private List<Table> tableList;
   private List<View> viewList;
   private List<Synonym> synonymList;

   public Schema(String name) {
      this.name = name;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public List<Table> getTableList() {
      if (this.tableList == null) {
         this.tableList = new ArrayList();
      }

      return this.tableList;
   }

   public void setTableList(List<Table> tableList) {
      this.tableList = tableList;
   }

   public List<View> getViewList() {
      if (this.viewList == null) {
         this.viewList = new ArrayList();
      }

      return this.viewList;
   }

   public void setViewList(List<View> viewList) {
      this.viewList = viewList;
   }

   public List<Synonym> getSynonymList() {
      if (this.synonymList == null) {
         this.synonymList = new ArrayList();
      }

      return this.synonymList;
   }

   public void setSynonymList(List<Synonym> synonymList) {
      this.synonymList = synonymList;
   }
}
